ftools function "Export/Add geometry columns" produces incorrect dbase field length in results

2012-10-08 02:43 AM - Stefan Burgstaller

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15709

Description

dBase field length for numeric values is normally limited to 19 digits. When using the "Export/Add geometry columns" function from ftools

two new columns "AREA" and "PERIMETER" are created with 21 digits. This can lead to problems with programs or dBase components

who do not support such field lengths.

- This is my first bug report so please be so kind to inform me if some information should be missing or wrong -

History

#1 - 2013-07-13 03:09 AM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows)

#2 - 2015-12-22 06:39 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I am sorry for such a late answer but do you have any DBase reference about the maximum number for field size and field precision ?

QGIS uses OGR for creating the two new fields and the specification of Shapefile for OGR says this:

Real (floating point) fields without an explicit width are treated as width 24 with 15 decimal places of precision.

If you have a DBase fields specification, the bug should be reported to GDAL...

#3 - 2016-01-06 11:51 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

#4 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
http://www.gdal.org/drv_shapefile.html
